#include "mm_lib.h"
#include <stdlib.h>
#include <mpi.h>

#define N 2
#define L 2
#define M 2
double a[][L]={{1,2},{3,4}}, b[][M]={{5,6},{7,8}};
double c[N][M];

int main() {
  int rank;
  
  MPI_Init(NULL, NULL);
  MPI_Comm_rank(MPI_COMM_WORLD, &rank);
  if (rank == 0)
    printMatrix(N, L, a[0]);
  mat_mul(L, M, N, a[0], b[0], c[0]);
  if (rank == 0)
    printMatrix(N, M, c[0]);
  MPI_Finalize();
}
